function insideBuilding = isIndoor(x_coord, y_coord, handles)
building_number_x = str2num(get(handles.text10, 'String'));
building_number_y = str2num(get(handles.text11, 'String'));

tmpLen = get(handles.text14, 'String');
road_lenght = str2double(tmpLen(1:end-1));
road_width = road_lenght;

total_length = 250 * 2;
total_width = 216 * 2;

building_length = (total_length - road_lenght -...
    building_number_x * road_lenght) / building_number_x;
building_width = (total_width - road_width -...
    building_number_y * road_width) / building_number_y;

%  max_y = int16(sqrt(3)*125);

%  manh_grid=figure('Name','Manchattan Grid Environment');
%  xlabel('x-direction (m) --> '); ylabel('y-direction (m) --> ');
countBuilds = 1;
for x=1:building_number_x
    for y=1:building_number_y
          x_pos = x*road_lenght + (x - 1)*building_length;
          y_pos = y*road_width + (y - 1)*building_width;
          if (x_coord >= x_pos) && (x_coord <= x_pos + building_length) && (y_coord >= y_pos) && (y_coord <= y_pos + building_width)
              insideBuilding = countBuilds;
              return;
          end
          countBuilds = countBuilds + 1;
    end
end
insideBuilding = 0;