function [PL, numOfWalls, R, isIndoor] = PLmac(x_user, y_user, x_macrocell, y_macrocell, handles)
penLoss_Low = 5;

R = calcDist(x_user, y_user, x_macrocell, y_macrocell);
[numOfWalls, isIndoor] = findWalls(x_user, y_user, x_macrocell, y_macrocell, handles);
PL = log10(10^15.3 * R^37.6 * 10^(penLoss_Low * numOfWalls));